/*
--------------------------------------------------------
MAIN
--------------------------------------------------------
*/

* {
  font-family:Arial, Helvetica, sans-serif;
}

.container {
  display: flex;
  flex-direction: column;
  width: 90%;
  min-height: 90vh;
  padding: 15px;
  margin-right: auto;
  margin-left: auto;
  justify-content: space-between;
}

@media (min-width: 576px) {
  .container {
    max-width: 540px;
  }
}

.container__image {
  text-align: center;
  margin-bottom: 20px;
}

.container__image img {
  max-width: 90%;
  margin-bottom: 10px;
  height: auto;
}

.container__text {
  margin: 0;
  padding: 0;
  text-align: center;
  font-weight: bold;
  font-size: 14px;
  line-height: 1.4;
}

.container__inputs {
  width: 100%;
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  margin-top: 20px;
}

.container__inputs input {
  height: 40px;
  width: 40px;
  border: solid 1px lightgray;
  text-align: center;
  font-size: 20px;
}

.container__submit {
  width: 100%;
}

.container__submit button {
  width: 100%;
  background: transparent;
  height: 50px;
  border: solid 1px lightgray;
  font-size: 22px;
  cursor: pointer;
  transition: all .3s;
  color: #000;
}
/* 
.container__submit button:hover {
  background-color: gray;
  color: #fff;
} */

.container__footer {
  margin-top: 10px;
  text-align: center;
}

.container__footer a {
  margin-top: 5px;
}

/*
--------------------------------------------------------
LOADING
--------------------------------------------------------
*/

.loading-circle {
	width: 30px;
  height: 30px;
  top: calc(50% - 20px);
  left: calc(50% - 20px);
  transform: translate(calc(50% - 30px), calc(50% - 30px));
  position: absolute;
	background-color: transparent;
	border-width: 10px;
	border-style: solid;
  border-bottom-color: #ffb357;
	border-left-color: #fda858;
	border-top-color: #e97e60;
	border-right-color: #cf6566;
	border-radius: 100%;
	animation: rotate 2s infinite linear;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}


/*
--------------------------------------------------------
SHORTCUTS
--------------------------------------------------------
*/

.d--none {
  display: none;
}

.d--block {
  display: block;
}

/*
--------------------------------------------------------
ANIMATION
--------------------------------------------------------
*/

.blink {
  transform: scale(0.9);
  border: solid 2px #ff0000 !important;
}

@-webkit-keyframes fadeIn {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

@keyframes fadeIn {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

.fadeIn {
  -webkit-animation-duration: 1.5s;
  animation-duration: 1.5s;
  -webkit-animation-fill-mode: both;
  animation-fill-mode: both;
  -webkit-animation-name: fadeIn;
  animation-name: fadeIn;
}

@keyframes rotate {
	0% {
		transform: rotate(0deg) scale(1);
	}
	50% {
		transform: rotate(-180deg) scale(0.8);
	}
	100% {
		transform: rotate(-360deg) scale(1);
	}
}